Subject: HDBC-postgresql build failure on hackage
From: Jake Wheat <[email-masked]>
To: John Goerzen <[email-masked]>
Date: Tue, 26 Jan 2010 14:27:22 +0000

Hello John,

I don't know if you're aware but HDBC-postgresql is failing to build on hackage. I think this is because the requireProgram function used in Setup.hs has changed between cabal 1.6 and cabal 1.7 (the version parameter has been removed).

It seems to build fine if you simply remove the AnyVersion argument in Setup.hs line 39, apparently this is the only thing stopping it from building on cabal 1.8/ghc 6.12, I haven't checked cabal 1.7/ghc 6.10. I don't know what changes to the versions in the cabal file should go with this, if just adding cabal >= 1.7 is correct or not.

Will you be able to upload a fixed version to hackage in the near future? It would be handy for me so that my project's haddock docs appear there on hackage (my project is hssqlppp). It's not particularly urgent, so please don't rush on my account.

Thanks for all your great contributions on hackage, Real World Haskell and elsewhere,
Jake Wheat